import java.io.*;
import java.util.zip.*;
import java.util.zip.Deflater;
import java.io.FileOutputStream;
import java.io.FileInputStream;

public class DefGetTotal {
	public final static String SUFFIX = "testfile.txt";

	public static void main(String[] args) throws IOException {

		Deflater defl1;
		FileInputStream finStream;
		FileOutputStream foutStream;
		byte[] inBuffer = new byte[1024];
		byte[] outBuffer = new byte[1024];
		int compBytes;
		for (int i = 0; i < args.length; i++) {
			defl1 = new Deflater();
			finStream = new FileInputStream(args[i]);
			foutStream = new FileOutputStream(SUFFIX);
			while (true) {
				int readNum = finStream.read(inBuffer);
				if (readNum == -1) {
					int inSize = defl1.getTotalIn();
					System.out.println("Size of fille before Compression : "
							+ inSize);
					defl1.finish();
					while (!defl1.finished()) {
						compBytes = defl1.deflate(outBuffer, 0,
								outBuffer.length);
						if (compBytes > 0) {
							foutStream.write(outBuffer, 0, compBytes);
						}
					}
					int outSize = defl1.getTotalOut();
					System.out.println("Size of fille after Compression : "
							+ outSize);
					break;
				} else {
					defl1.setInput(inBuffer, 0, readNum);

					while (!defl1.needsInput()) {
						compBytes = defl1.deflate(outBuffer, 0,
								outBuffer.length);
						if (compBytes > 0) {
							foutStream.write(outBuffer, 0, compBytes);
						}
					}
				}
			}
			finStream.close();
			foutStream.flush();
			foutStream.close();
			defl1.reset();
		}
		System.out.println("The given file's data Successfully Compressed ");
	}
}